﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGCrossFieldFilterTest
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<10; i++)
            {
                Data.Add(new SampleData() { ID = i, Label = "Item " + i.ToString(), Number = r.Next(1000), Date = DateTime.Today.AddDays(i) });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public int Number { get; set; }
        public DateTime Date { get; set; }
    }
}
